Package skyview.geometry

# Class TransformationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
skyview.geometry.TransformationException

All Implemented Interfaces:
  `Serializable`

public class TransformationException extends Exception
This class is thrown when an error occurs relating to transformations among frames.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransformationException()`
`TransformationException(String msg)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransformationException

public TransformationException()

### TransformationException

public TransformationException(String msg)